Orgs Connections
List WhatsApp phone numbers
List the phone numbers on the WhatsApp Business accounts of a connection, read through a Redis cache.
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
List WhatsApp phone numbers
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"waba_id": "<string>",
"display_phone_number": "<string>",
"verified_name": "<string>",
"status": "<string>",
"quality_score": {
"score": "<string>"
},
"name_status": "<string>",
"messaging_limit_tier": "<string>",
"platform_type": "<string>",
"account_mode": "<string>",
"is_official_business_account": true,
"is_pin_enabled": true,
"health": {
"can_send_message": "<string>",
"entities": [
{
"entity_type": "<string>",
"id": "<string>",
"can_send_message": "<string>",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
],
"additional_info": [
"<string>"
]
}
]
}
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Previous
Request a WhatsApp display name changeSubmit a new display name for WhatsApp review; the approval webhook applies it automatically.
Next
⌘I
List WhatsApp phone numbers
